/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
export enum CountryCode {
  AF = 'AF',
  ZA = 'ZA',
  AX = 'AX',
  AL = 'AL',
  DZ = 'DZ',
  DE = 'DE',
  DD = 'DD',
  AD = 'AD',
  AO = 'AO',
  AI = 'AI',
  AQ = 'AQ',
  AG = 'AG',
  AN = 'AN',
  SA = 'SA',
  AR = 'AR',
  AM = 'AM',
  AW = 'AW',
  AU = 'AU',
  AT = 'AT',
  AZ = 'AZ',
  BS = 'BS',
  BH = 'BH',
  BD = 'BD',
  BB = 'BB',
  BY = 'BY',
  BE = 'BE',
  BZ = 'BZ',
  BJ = 'BJ',
  BM = 'BM',
  BT = 'BT',
  BO = 'BO',
  BQ = 'BQ',
  BA = 'BA',
  BW = 'BW',
  BV = 'BV',
  BR = 'BR',
  BN = 'BN',
  BG = 'BG',
  BF = 'BF',
  BI = 'BI',
  CV = 'CV',
  KY = 'KY',
  KH = 'KH',
  CM = 'CM',
  CA = 'CA',
  CL = 'CL',
  CN = 'CN',
  CX = 'CX',
  CY = 'CY',
  CC = 'CC',
  CO = 'CO',
  KM = 'KM',
  CG = 'CG',
  CD = 'CD',
  CK = 'CK',
  KR = 'KR',
  KP = 'KP',
  CR = 'CR',
  CI = 'CI',
  HR = 'HR',
  CU = 'CU',
  CW = 'CW',
  DK = 'DK',
  DJ = 'DJ',
  DO = 'DO',
  DM = 'DM',
  EG = 'EG',
  SV = 'SV',
  AE = 'AE',
  EC = 'EC',
  ER = 'ER',
  ES = 'ES',
  EE = 'EE',
  US = 'US',
  ET = 'ET',
  FK = 'FK',
  FO = 'FO',
  FJ = 'FJ',
  FI = 'FI',
  FR = 'FR',
  GA = 'GA',
  GM = 'GM',
  GE = 'GE',
  GS = 'GS',
  GH = 'GH',
  GI = 'GI',
  GR = 'GR',
  GD = 'GD',
  GL = 'GL',
  GP = 'GP',
  GU = 'GU',
  GT = 'GT',
  GG = 'GG',
  GN = 'GN',
  GW = 'GW',
  GQ = 'GQ',
  GY = 'GY',
  GF = 'GF',
  HT = 'HT',
  HM = 'HM',
  HN = 'HN',
  HK = 'HK',
  HU = 'HU',
  IM = 'IM',
  UM = 'UM',
  VG = 'VG',
  VI = 'VI',
  IN = 'IN',
  IO = 'IO',
  ID = 'ID',
  IR = 'IR',
  IQ = 'IQ',
  IE = 'IE',
  IS = 'IS',
  IL = 'IL',
  IT = 'IT',
  JM = 'JM',
  JP = 'JP',
  JE = 'JE',
  JO = 'JO',
  KZ = 'KZ',
  KE = 'KE',
  KG = 'KG',
  KI = 'KI',
  KW = 'KW',
  LA = 'LA',
  LS = 'LS',
  LV = 'LV',
  LB = 'LB',
  LR = 'LR',
  LY = 'LY',
  LI = 'LI',
  LT = 'LT',
  LU = 'LU',
  MO = 'MO',
  MK = 'MK',
  MG = 'MG',
  MY = 'MY',
  MW = 'MW',
  MV = 'MV',
  ML = 'ML',
  MT = 'MT',
  MP = 'MP',
  MA = 'MA',
  MH = 'MH',
  MQ = 'MQ',
  MU = 'MU',
  MR = 'MR',
  YT = 'YT',
  MX = 'MX',
  FM = 'FM',
  MD = 'MD',
  MC = 'MC',
  MN = 'MN',
  ME = 'ME',
  MS = 'MS',
  MZ = 'MZ',
  MM = 'MM',
  NA = 'NA',
  NR = 'NR',
  NP = 'NP',
  NI = 'NI',
  NE = 'NE',
  NG = 'NG',
  NU = 'NU',
  NF = 'NF',
  NO = 'NO',
  NC = 'NC',
  NZ = 'NZ',
  OM = 'OM',
  UG = 'UG',
  UZ = 'UZ',
  PK = 'PK',
  PW = 'PW',
  PS = 'PS',
  PA = 'PA',
  PG = 'PG',
  PY = 'PY',
  NL = 'NL',
  XX = 'XX',
  ZZ = 'ZZ',
  PE = 'PE',
  PH = 'PH',
  PN = 'PN',
  PL = 'PL',
  PF = 'PF',
  PR = 'PR',
  PT = 'PT',
  QA = 'QA',
  SY = 'SY',
  CF = 'CF',
  RE = 'RE',
  RO = 'RO',
  GB = 'GB',
  RU = 'RU',
  RW = 'RW',
  EH = 'EH',
  BL = 'BL',
  KN = 'KN',
  SM = 'SM',
  MF = 'MF',
  SX = 'SX',
  PM = 'PM',
  VA = 'VA',
  VC = 'VC',
  SH = 'SH',
  LC = 'LC',
  SB = 'SB',
  WS = 'WS',
  AS = 'AS',
  ST = 'ST',
  SN = 'SN',
  RS = 'RS',
  SC = 'SC',
  SL = 'SL',
  SG = 'SG',
  SK = 'SK',
  SI = 'SI',
  SO = 'SO',
  SD = 'SD',
  SS = 'SS',
  LK = 'LK',
  SE = 'SE',
  CH = 'CH',
  SR = 'SR',
  SJ = 'SJ',
  SZ = 'SZ',
  TJ = 'TJ',
  TW = 'TW',
  TZ = 'TZ',
  TD = 'TD',
  CS = 'CS',
  CZ = 'CZ',
  TF = 'TF',
  TH = 'TH',
  TL = 'TL',
  TG = 'TG',
  TK = 'TK',
  TO = 'TO',
  TT = 'TT',
  TN = 'TN',
  TM = 'TM',
  TC = 'TC',
  TR = 'TR',
  TV = 'TV',
  UA = 'UA',
  SU = 'SU',
  UY = 'UY',
  VU = 'VU',
  VE = 'VE',
  VN = 'VN',
  VD = 'VD',
  WF = 'WF',
  YE = 'YE',
  YU = 'YU',
  ZR = 'ZR',
  ZM = 'ZM',
  ZW = 'ZW',
}
