import { MatDialogRef } from '@angular/material/dialog';
import { MatSnackBar } from '@angular/material/snack-bar';
import { Observable, Subject } from 'rxjs';
import { SubrogationApiService } from '../api/subrogation-api.service';
import { AuthService } from '../auth.service';
import { VitamUISnackBar } from '../components/vitamui-snack-bar/vitamui-snack-bar.service';
import { Logger } from '../logger/logger';
import { Subrogation } from '../models';
export declare class SubrogationService {
    private logger;
    private subrogationApi;
    private snackBar;
    private matSnackBar;
    private authService;
    private subrogationRefreshRateMs;
    subrogationCancel: Subject<unknown>;
    private subrogationSnackBarComponent;
    private readonly TIMEOUT_SUBROGATION_MS;
    constructor(logger: Logger, subrogationApi: SubrogationApiService, snackBar: VitamUISnackBar, matSnackBar: MatSnackBar, authService: AuthService, subrogationRefreshRateMs: number);
    intervalCheck: number;
    createSubrogation(subrogation: Subrogation): Observable<Subrogation>;
    checkSubrogationStatus(subrogationCreated: Subrogation, dialogRef: MatDialogRef<any>): Observable<Subrogation>;
    checkCurrentUserIsInSubrogation(): Observable<Subrogation>;
    getMySubrogation(): Observable<Subrogation>;
    getSubrogation(id: string, dialogRef: MatDialogRef<any>): Observable<Subrogation>;
    cancelSubrogation(subrogation: Subrogation): Observable<void>;
    accept(id: string): Observable<Subrogation>;
    decline(id: string): Observable<void>;
    getCurrent(): Observable<Subrogation>;
    checkSubrogation(): void;
}
