import { Observable } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Id, PaginatedApi } from '../';
import { PageRequest } from './page-request.model';
export declare class SearchService<T extends Id> {
    protected http: HttpClient;
    protected paginatedApi: PaginatedApi<T>;
    protected embedded?: string;
    protected headers?: HttpHeaders;
    protected pageRequest: PageRequest;
    protected hasMore: boolean;
    protected data: T[];
    constructor(http: HttpClient, paginatedApi: PaginatedApi<T>, embedded?: string, headers?: HttpHeaders);
    search(pageRequest?: PageRequest): Observable<T[]>;
    loadMore(): Observable<T[]>;
    get canLoadMore(): boolean;
}
